<?xml version="1.0" encoding="UTF-8"?>
<jmeterTestPlan version="1.2" properties="5.0" jmeter="5.2.1">
  <hashTree>
    <TestPlan guiclass="TestPlanGui" testclass="TestPlan" testname="by-calls-ci-related" enabled="true">
      <stringProp name="TestPlan.comments"></stringProp>
      <boolProp name="TestPlan.functional_mode">false</boolProp>
      <boolProp name="TestPlan.tearDown_on_shutdown">true</boolProp>
      <boolProp name="TestPlan.serialize_threadgroups">false</boolProp>
      <elementProp name="TestPlan.user_defined_variables" elementType="Arguments" guiclass="ArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
        <collectionProp name="Arguments.arguments"/>
      </elementProp>
      <stringProp name="TestPlan.user_define_classpath"></stringProp>
    </TestPlan>
    <hashTree>
      <ThreadGroup guiclass="ThreadGroupGui" testclass="ThreadGroup" testname="Thread Group" enabled="true">
        <stringProp name="ThreadGroup.on_sample_error">continue</stringProp>
        <elementProp name="ThreadGroup.main_controller" elementType="LoopController" guiclass="LoopControlPanel" testclass="LoopController" testname="Loop Controller" enabled="true">
          <boolProp name="LoopController.continue_forever">false</boolProp>
          <intProp name="LoopController.loops">-1</intProp>
        </elementProp>
        <stringProp name="ThreadGroup.num_threads">${__P(NumJobs)}</stringProp>
        <stringProp name="ThreadGroup.ramp_time"></stringProp>
        <boolProp name="ThreadGroup.scheduler">true</boolProp>
        <stringProp name="ThreadGroup.duration">${__P(TestDuration)}</stringProp>
        <stringProp name="ThreadGroup.delay"></stringProp>
        <boolProp name="ThreadGroup.same_user_on_next_iteration">true</boolProp>
      </ThreadGroup>
      <hashTree>
        <JDBCDataSource guiclass="TestBeanGUI" testclass="JDBCDataSource" testname="JDBC Connection Configuration" enabled="true">
          <boolProp name="autocommit">true</boolProp>
          <stringProp name="checkQuery"></stringProp>
          <stringProp name="connectionAge">5000</stringProp>
          <stringProp name="connectionProperties"></stringProp>
          <stringProp name="dataSource">db-connector</stringProp>
          <stringProp name="dbUrl">${databaseurl}</stringProp>
          <stringProp name="driver"></stringProp>
          <stringProp name="initQuery"></stringProp>
          <boolProp name="keepAlive">true</boolProp>
          <stringProp name="password">${database_pass}</stringProp>
          <stringProp name="poolMax">0</stringProp>
          <boolProp name="preinit">false</boolProp>
          <stringProp name="timeout">10000</stringProp>
          <stringProp name="transactionIsolation">DEFAULT</stringProp>
          <stringProp name="trimInterval">60000</stringProp>
          <stringProp name="username">${database_user}</stringProp>
        </JDBCDataSource>
        <hashTree/>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller 6673794014151945635" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>10.78</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query 6673794014151945635</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid 6673794014151945635" enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_pipelines&quot;.* FROM &quot;ci_pipelines&quot; WHERE &quot;ci_pipelines&quot;.&quot;id&quot; = ${ci_pipelines_id} LIMIT 100</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_6673794014151945635-args.csv</stringProp>
              <stringProp name="fileEncoding">UTF-8</stringProp>
              <stringProp name="variableNames">ci_pipelines_id</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller --2106760600543814756" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>7.76</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query -2106760600543814756</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid -2106760600543814756" enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_builds&quot;.* FROM &quot;ci_builds&quot; WHERE &quot;ci_builds&quot;.&quot;type&quot; = &apos;${ci_builds_type}&apos; 
 AND &quot;ci_builds&quot;.&quot;token_encrypted&quot; IN (&apos;${ci_builds_token_encrypted}&apos;, &apos;${ci_builds_token_encrypted}&apos;) 
 LIMIT 1000;</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_-2106760600543814756-args.csv</stringProp>
              <stringProp name="fileEncoding"></stringProp>
              <stringProp name="variableNames">ci_builds_type,ci_builds_token_encrypted</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller 388151056235919956" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>7.26</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query 388151056235919956</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid 388151056235919956" enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_builds&quot;.* FROM &quot;ci_builds&quot; WHERE &quot;ci_builds&quot;.&quot;type&quot; = &apos;${ci_builds_type}&apos; AND &quot;ci_builds&quot;.&quot;id&quot; = ${ci_builds_id} LIMIT 1000</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_388151056235919956-args.csv</stringProp>
              <stringProp name="fileEncoding">UTF-8</stringProp>
              <stringProp name="variableNames">ci_builds_type,ci_builds_id</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller -8451338199510579657" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>5.37</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query -8451338199510579657</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid -8451338199510579657" enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_job_artifacts&quot;.* FROM &quot;ci_job_artifacts&quot; WHERE &quot;ci_job_artifacts&quot;.&quot;job_id&quot; = ${ci_job_artifacts_job_id} 
 AND &quot;ci_job_artifacts&quot;.&quot;file_type&quot; = ${ci_job_artifacts_file_type}
 LIMIT 1000</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_-8451338199510579657-args.csv</stringProp>
              <stringProp name="fileEncoding">UTF-8</stringProp>
              <stringProp name="variableNames">ci_job_artifacts_job_id,ci_job_artifacts_file_type</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller -1216497675517520397" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>5.3</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query -1216497675517520397</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid -1216497675517520397 " enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_runners&quot;.* FROM &quot;ci_runners&quot; WHERE &quot;ci_runners&quot;.&quot;id&quot; = ${ci_runners_id} LIMIT 100</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_-1216497675517520397-args.csv</stringProp>
              <stringProp name="fileEncoding">UTF-8</stringProp>
              <stringProp name="variableNames">ci_runners_id</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller -7715180042597491341" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>4.74</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query -7715180042597491341</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid -7715180042597491341 " enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_build_trace_chunks&quot;.* FROM &quot;ci_build_trace_chunks&quot;
 WHERE &quot;ci_build_trace_chunks&quot;.&quot;build_id&quot; = ${ci_build_trace_chunks_build_id}
 AND &quot;ci_build_trace_chunks&quot;.&quot;chunk_index&quot; = ${ci_build_trace_chunks_chunk_index}
 LIMIT 1000</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_-7715180042597491341-args.csv</stringProp>
              <stringProp name="fileEncoding">UTF-8</stringProp>
              <stringProp name="variableNames">ci_build_trace_chunks_build_id,ci_build_trace_chunks_chunk_index</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller -8879233226840007005" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>3.92</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query -8879233226840007005</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid -8879233226840007005 " enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_runners&quot;.* FROM &quot;ci_runners&quot; WHERE &quot;ci_runners&quot;.&quot;token_encrypted&quot; IN (&apos;${ci_runners_token_encrypted}&apos;, &apos;${ci_runners_token_encrypted}&apos;) 
 LIMIT 100</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_-8879233226840007005-args.csv</stringProp>
              <stringProp name="fileEncoding"></stringProp>
              <stringProp name="variableNames">ci_runners_token_encrypted</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller - 8345325569152878536" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>3.86</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query 8345325569152878536</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid 8345325569152878536" enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_build_trace_section_names&quot;.* FROM &quot;ci_build_trace_section_names&quot; 
   WHERE &quot;ci_build_trace_section_names&quot;.&quot;project_id&quot; = ${ci_build_trace_section_names_project_id} 
   AND &quot;ci_build_trace_section_names&quot;.&quot;name&quot; = &apos;${ci_build_trace_section_names_name}&apos;
   LIMIT 1000</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_8345325569152878536-args.csv</stringProp>
              <stringProp name="fileEncoding"></stringProp>
              <stringProp name="variableNames">ci_build_trace_section_names_project_id,ci_build_trace_section_names_name</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller 4267872043094895864" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>3.7</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query 4267872043094895864</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid 4267872043094895864 " enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_builds&quot;.* FROM &quot;ci_builds&quot; WHERE &quot;ci_builds&quot;.&quot;commit_id&quot; = ${ci_builds_commit_id} AND (&quot;ci_builds&quot;.&quot;retried&quot; = ${ci_builds_retried} OR &quot;ci_builds&quot;.&quot;retried&quot; IS NULL)</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_4267872043094895864-args.csv</stringProp>
              <stringProp name="fileEncoding"></stringProp>
              <stringProp name="variableNames">ci_builds_commit_id,ci_builds_retried</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller 1599479802630180052" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>3.63</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query 1599479802630180052</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid 1599479802630180052 " enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT 1 AS one FROM &quot;ci_builds&quot; 
   WHERE &quot;ci_builds&quot;.&quot;commit_id&quot; = ${ci_builds_commit_id}
   AND (&quot;ci_builds&quot;.&quot;processed&quot; = ${ci_builds_processed} OR &quot;ci_builds&quot;.&quot;processed&quot; IS NULL) 
   AND (&quot;ci_builds&quot;.&quot;retried&quot; = ${ci_builds_retried} OR &quot;ci_builds&quot;.&quot;retried&quot; IS NULL) 
  LIMIT 1000</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_1599479802630180052-args.csv</stringProp>
              <stringProp name="fileEncoding"></stringProp>
              <stringProp name="variableNames">ci_builds_commit_id,ci_builds_processed,ci_builds_retried</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller 7760111794549822367" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>2.96</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query 7760111794549822367</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid 7760111794549822367 " enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_build_trace_chunks&quot;.* FROM &quot;ci_build_trace_chunks&quot; 
 WHERE &quot;ci_build_trace_chunks&quot;.&quot;build_id&quot; = ${ci_build_trace_chunks_build_id}
 ORDER BY &quot;ci_build_trace_chunks&quot;.&quot;chunk_index&quot; DESC LIMIT 10000</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_7760111794549822367-args.csv</stringProp>
              <stringProp name="fileEncoding"></stringProp>
              <stringProp name="variableNames">ci_build_trace_chunks_build_id</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller 6699769169063417733" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>2.6</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query 6699769169063417733</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid 6699769169063417733" enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT &quot;ci_stages&quot;.* FROM &quot;ci_stages&quot; WHERE &quot;ci_stages&quot;.&quot;pipeline_id&quot; = ${ci_stages_pipeline_id} ORDER BY &quot;ci_stages&quot;.&quot;position&quot; ASC</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_6699769169063417733-args.csv</stringProp>
              <stringProp name="fileEncoding"></stringProp>
              <stringProp name="variableNames">ci_stages_pipeline_id</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
        <GenericController guiclass="LogicControllerGui" testclass="GenericController" testname="Simple Controller -8560280642564996600" enabled="true"/>
        <hashTree>
          <ThroughputController guiclass="ThroughputControllerGui" testclass="ThroughputController" testname="Throughput Controller" enabled="true">
            <intProp name="ThroughputController.style">1</intProp>
            <boolProp name="ThroughputController.perThread">false</boolProp>
            <intProp name="ThroughputController.maxThroughput">1</intProp>
            <FloatProperty>
              <name>ThroughputController.percentThroughput</name>
              <value>2.2</value>
              <savedValue>0.0</savedValue>
            </FloatProperty>
            <stringProp name="TestPlan.comments">query -8560280642564996600</stringProp>
          </ThroughputController>
          <hashTree>
            <JDBCSampler guiclass="TestBeanGUI" testclass="JDBCSampler" testname="queryid -8560280642564996600 " enabled="true">
              <stringProp name="dataSource">db-connector</stringProp>
              <stringProp name="queryType">Select Statement</stringProp>
              <stringProp name="query"> SELECT MAX(id), &quot;ci_builds&quot;.&quot;name&quot; FROM &quot;ci_builds&quot; 
 WHERE &quot;ci_builds&quot;.&quot;commit_id&quot; = ${ci_builds_commit_id} 
 AND (&quot;ci_builds&quot;.&quot;retried&quot; = ${ci_builds_ci_builds}
   OR &quot;ci_builds&quot;.&quot;retried&quot; IS NULL) 
   
   GROUP BY &quot;ci_builds&quot;.&quot;name&quot; 
   HAVING (count(*) &gt; 1)</stringProp>
              <stringProp name="queryArguments"></stringProp>
              <stringProp name="queryArgumentsTypes"></stringProp>
              <stringProp name="variableNames"></stringProp>
              <stringProp name="resultVariable"></stringProp>
              <stringProp name="queryTimeout"></stringProp>
              <stringProp name="resultSetMaxRows"></stringProp>
              <stringProp name="resultSetHandler">Store as String</stringProp>
              <stringProp name="TestPlan.comments">			</stringProp>
            </JDBCSampler>
            <hashTree/>
            <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="CSV Data Set Config" enabled="true">
              <stringProp name="filename">../files/${data_env}/queryid_-8560280642564996600-args.csv</stringProp>
              <stringProp name="fileEncoding"></stringProp>
              <stringProp name="variableNames">ci_builds_commit_id,ci_builds_ci_builds</stringProp>
              <boolProp name="ignoreFirstLine">false</boolProp>
              <stringProp name="delimiter">,</stringProp>
              <boolProp name="quotedData">false</boolProp>
              <boolProp name="recycle">true</boolProp>
              <boolProp name="stopThread">false</boolProp>
              <stringProp name="shareMode">shareMode.all</stringProp>
            </CSVDataSet>
            <hashTree/>
          </hashTree>
        </hashTree>
      </hashTree>
      <Arguments guiclass="ArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
        <collectionProp name="Arguments.arguments">
          <elementProp name="databaseurl" elementType="Argument">
            <stringProp name="Argument.name">databaseurl</stringProp>
            <stringProp name="Argument.value">${__BeanShell( System.getenv(&quot;DATABASEURL&quot;) )}</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
          <elementProp name="database_user" elementType="Argument">
            <stringProp name="Argument.name">database_user</stringProp>
            <stringProp name="Argument.value">${__BeanShell( System.getenv(&quot;DATABASEUSER&quot;) )}</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
          <elementProp name="database_pass" elementType="Argument">
            <stringProp name="Argument.name">database_pass</stringProp>
            <stringProp name="Argument.value">${__BeanShell( System.getenv(&quot;DATABASEUSERPASSWORD&quot;) )}</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
          <elementProp name="data_env" elementType="Argument">
            <stringProp name="Argument.name">data_env</stringProp>
            <stringProp name="Argument.value">${__BeanShell( System.getenv(&quot;DATAENVIRONMENT&quot;) )}</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
        </collectionProp>
      </Arguments>
      <hashTree/>
    </hashTree>
  </hashTree>
</jmeterTestPlan>
